---
title: "Get Naver Organic SERP Advanced Results by id"
url: "https://docs.dataforseo.com/v3/serp/naver/organic/task_get/advanced"
date: "2026-06-06"
---

## Get Naver Organic SERP Advanced Results by id

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/serp/naver/organic/task\_get/advanced/$id     

      

Pricing

  Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/naver-organic-serp-api "Pricing") page.

 

 **Description of the fields for sending a request:**

| Field name | Type | Description |
|---|---|---|
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format**   you will be able to use it within **30 days** to request the results of the task at any time |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

You can also get all available SERP features and possible extra elements by making a request to the following [Sandbox](https://docs.dataforseo.com/v3/appendix/sandbox.md) URL:  
`https://sandbox.dataforseo.com/v3/serp/naver/organic/task_get/advanced/00000000-0000-0000-0000-000000000000`  
The response will include all available items in the Naver Organic SERP Advanced endpoint with the fields containing dummy data.  
You won’t be charged for using [Sandbox](https://docs.dataforseo.com/v3/appendix/sandbox.md) endpoints.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array* **the keyword is returned with decoded %## (plus symbol ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type in a POST array* |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results*   you can use it to make sure that we provided accurate results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `spell` | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection |
| `keyword` | string | *keyword obtained as a result of search engine autocorrection*   the results will be provided for the corrected keyword |
| `type` | string | *type of autocorrection*   possible values:   `did_you_mean`, `showing_results_for`, `no_results_found_for`, `including_results_for` |
| `refinement_chips` | object | *search refinement chips*   equals `null` |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP.   possible item types:   `images`, `local_pack`, `map`, `organic`, `paid`, `related_searches`, `video` |
| `se_results_count` | integer | *total number of results in SERP* |
| `pages_count` | integer | *total pages retrieved*   total number of retrieved SERPs in the result |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of search results found in SERP* |
| **‘organic’ element in SERP** |  |  |
| `type` | string | *type of element = **‘organic’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `domain` | string | *domain in SERP* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL in SERP* |
| `cache_url` | string | *cached version of the page* |
| `breadcrumb` | string | *breadcrumb in SERP* |
| `is_image` | boolean | *indicates whether the element contains an `image`* |
| `is_video` | boolean | *indicates whether the element contains a `video`* |
| `is_featured_snippet` | boolean | *indicates whether the element is a `featured_snippet`* |
| `is_malicious` | boolean | *indicates whether the element is marked as malicious* |
| `is_web_story` | boolean | *indicates whether the element is marked as web story* |
| `description` | string | *description of the results element in SERP* |
| `pre_snippet` | string | *includes additional information appended before the result description in SERP* |
| `extended_snippet` | string | *includes additional information appended after the result description in SERP* |
| `amp_version` | boolean | *Accelerated Mobile Pages*   indicates whether an item has the Accelerated Mobile Page (AMP) version |
| `rating` | object | *the item’s rating*    the popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | integer | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `highlighted` | array | *words highlighted in bold within the results `description`* |
| `links` | array | *sitelinks*   the links shown below some of search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *title of the result in SERP* |
| `description` | string | *description of the results element in SERP* |
| `url` | string | *sitelink URL* |
| `faq` | object | *frequently asked questions*   questions and answers extension shown below some of search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**faq\_box**‘* |
| `items` | array | *items featured in the faq\_box* |
| `type` | string | *type of element = ‘**faq\_box\_element**‘* |
| `title` | string | *question related to the result* |
| `description` | string | *answer provided in the drop-down block* |
| `links` | array | *links featured in the faq\_box\_element* |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *link anchor text* |
| `url` | string | *link URL* |
| `extended_people_also_search` | array | *extension of the organic element*   extension of the organic result containing related search queries   **Note:** extension appears in SERP upon clicking on the result and then bouncing back to search results |
| `timestamp` | string | *date and time when the result was published*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Naver search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘paid’ element in SERP** |  |  |
| `type` | string | *type of element = **‘paid’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `domain` | string | *domain in SERP of the Ad element* |
| `description` | string | *description of the results element in SERP* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL of the Ad element in SERP* |
| `breadcrumb` | string | *breadcrumb of the Ad element in SERP* |
| `highlighted` | array | *words highlighted in bold within the results `description`* |
| `extra` | object | *additional information about the result* |
| `ad_aclk` | string | *the identifier of the ad* |
| `description` | string | *description of the results element in SERP* |
| `description_rows` | array | *extended description*   if there is none, equals `null` |
| `links` | array | *sitelinks*   the links shown below some of search results   if there are none, equals `null` |
| `type` | string | *type of element = ‘**link\_element**‘* |
| `title` | string | *title of the link element* |
| `description` | string | *description of the results element in SERP* |
| `url` | string | *URL link* |
| `ad_aclk` | string | *the identifier of the ad* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Naver search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘related\_searches’ element in SERP** |  |  |
| `type` | string | *type of element = **‘related\_searches’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Naver search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘local\_pack’ element in SERP** |  |  |
| `type` | string | *type of element = **‘local\_pack’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `description` | string | *description of the results element in SERP* |
| `domain` | string | *domain in SERP* |
| `phone` | string | *phone number* |
| `url` | string | *relevant URL* |
| `is_paid` | boolean | *indicates whether the element is an ad* |
| `rating` | object | *the item’s rating*    the popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | integer | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `cid` | string | *client id*   unique id of a local establishment |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Naver search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘map’ element in SERP** |  |  |
| `type` | string | *type of element = **‘map’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *URL* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Naver search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘video’ element in SERP** |  |  |
| `type` | string | *type of element = **‘video’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**video\_element**‘* |
| `source` | string | *source of the element*   indicates the source of the video |
| `title` | string | *title of the result in SERP* |
| `timestamp` | string | *date and time when the result was published*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `url` | string | *URL* |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Naver search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘images’ element in SERP** |  |  |
| `type` | string | *type of element = **‘images’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *relevant URL* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**images\_element**‘* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   **note:** `calculate_rectangles` parameter is not yet available when setting tasks for Naver search engine, that’s why `rectangle` always equals `null` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of SERP is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="02261816-2027-0066-0000-c27d02864073" 
curl --location --request GET "https://api.dataforseo.com/v3/serp/naver/organic/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
  // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
  $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
  echo "n";
  print "HTTP code: {$e->getHttpCode()}n";
  print "Error code: {$e->getCode()}n";
  print "Message: {$e->getMessage()}n";
  print  $e->getTraceAsString();
  echo "n";
  exit();
}
try {
  $result = array();
  // #1 - using this method you can get a list of completed tasks
  // GET /v3/serp/naver/organic/tasks_ready
  // in addition to 'naver' and 'organic' you can also set other search engine and type parameters
  // the full list of possible parameters is available in documentation
  $tasks_ready = $client->get('/v3/serp/naver/organic/tasks_ready');
  // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
  if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
    foreach ($tasks_ready['tasks'] as $task) {
      if (isset($task['result'])) {
        foreach ($task['result'] as $task_ready) {
          // #2 - using this method you can get results of each completed task
          // GET /v3/serp/naver/organic/task_get/advanced/$id
          if (isset($task_ready['endpoint_advanced'])) {
            $result[] = $client->get($task_ready['endpoint_advanced']);
          }
          // #3 - another way to get the task results by id
          // GET /v3/serp/naver/organic/task_get/advanced/$id
          /*
          if (isset($task_ready['id'])) {
            $result[] = $client->get('/v3/serp/naver/organic/task_get/advanced/' . $task_ready['id']);
          }
          */
        }
      }
    }
  }
  print_r($result);
  // do something with result
} catch (RestClientException $e) {
  echo "n";
  print "HTTP code: {$e->getHttpCode()}n";
  print "Error code: {$e->getCode()}n";
  print "Message: {$e->getMessage()}n";
  print  $e->getTraceAsString();
  echo "n";
}
$client = null;
?>
```





```js
const task_id = '02231256-2604-0066-2000-57133b8fc54e';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/serp/naver/organic/task_get/advanced/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/serp/naver/organic/tasks_ready
# in addition to 'naver' and 'organic' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/naver/organic/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response['status_code'] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
                # GET /v3/serp/naver/organic/advanced/$id
                if(resultTaskInfo['endpoint_advanced']):
                    results.append(client.get(resultTaskInfo['endpoint_advanced']))                
                '''
                # 3 - another way to get the task results by id
                # GET /v3/serp/naver/organic/task_get/advanced/$id                
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/serp/naver/organic/task_get/advanced/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // GET /v3/serp/naver/organic/tasks_ready
            // in addition to 'naver' and 'organic' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/serp/naver/organic/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<object>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                if (tasksInfo.tasks != null)
                {
                    foreach (var tasks in tasksInfo.tasks)
                    {
                        if (tasks.result != null)
                        {
                            foreach (var task in tasks.result)
                            {
                                if (task.endpoint_advanced != null)
                                {
                                    // #2 - using this method you can get results of each completed task
                                    // GET /v3/serp/naver/organic/task_get/advanced/$id
                                    var taskGetResponse = await httpClient.GetAsync((string)task.endpoint_advanced);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    // #3 - another way to get the task results by id
                                    // GET /v3/serp/naver/organic/task_get/advanced/$id
                                    /*
                                    var tasksGetResponse = await httpClient.GetAsync("/v3/serp/naver/organic/task_get/advanced/" + (string)task.id);
                                    var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                    if (tasksResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    */
                                }
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
    "version": "0.1.20210304",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.2266 sec.",
    "cost": 0,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "03171324-1535-0066-0000-770617fdc9a8",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.1195 sec.",
            "cost": 0,
            "result_count": 1,
            "path": [
                "v3",
                "serp",
                "naver",
                "organic",
                "task_get",
                "advanced",
                "03171324-1535-0066-0000-770617fdc9a8"
            ],
            "data": {
                "api": "serp",
                "function": "task_get",
                "se": "naver",
                "se_type": "organic",
                "keyword": "iphone",
                "priority": 2,
                "tag": "some_string_123",
                "pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
                "device": "desktop",
                "os": "windows"
            },
            "result": [
                {
                    "keyword": "iphone",
                    "type": "organic",
                    "se_domain": "search.naver.com",
                    "location_code": 0,
                    "language_code": "",
                    "check_url": "https://search.naver.com/search.naver?display=15&start=1&page=1&where=nexearch&sm=tab_hty.top&query=iphone&",
                    "datetime": "2021-03-17 11:24:44 +00:00",
                    "spell": null,
                    "refinement_chips": null,
                    "item_types": [
                        "organic",
                        "paid",
                        "related_searches",
                        "images", 
                        "video",
                        "local_pack", 
                        "map" 
                    ],
                    "se_results_count": 0,
                    "pages_count": 1,
                    "items_count": 117,
                    "items": [
                        {
                            "type": "organic",
                            "rank_group": 1,
                            "rank_absolute": 1,
                            "page": 1,
                            "position": "left",
                            "xpath": "/html[1]/body[1]/div[3]/div[2]/div[1]/div[1]/section[1]",
                            "domain": "www.apple.com",
                            "title": "iPhone - Apple (KR)",
                            "url": "https://www.apple.com/kr/iphone/",
                            "cache_url": null,
                            "breadcrumb": "www.apple.com/kr/iphone",
                            "is_image": false,
                            "is_video": false,
                            "is_featured_snippet": false,
                            "is_malicious": false,
                            "is_web_story": false,
                            "description": "세상에서 가장 강력한 개인용 기기, iPhone 을 만나볼까요? iPhone 12 Pro, iPhone 12 Pro Max, iPhone 12, iPhone 12 mini, iPhone SE를 지금 살펴보세요.",
                            "pre_snippet": null,
                            "extended_snippet": null,
                            "amp_version": false,
                            "rating": null,
                            "highlighted": null,
                            "links": [
                                {
                                    "type": "link_element",
                                    "title": "구입",
                                    "description": null,
                                    "url": "https://www.apple.com/kr/iphone/buy/"
                                },
                                {
                                    "type": "link_element",
                                    "title": "제품 사양",
                                    "description": null,
                                    "url": "https://www.apple.com/kr/iphone/specs.html"
                                },
                                {
                                    "type": "link_element",
                                    "title": "액세서리",
                                    "description": null,
                                    "url": "https://www.apple.com/kr/shop/iphone/iphone-accessories"
                                },
                                {
                                    "type": "link_element",
                                    "title": "iOS",
                                    "description": null,
                                    "url": "https://www.apple.com/kr/iphone/ios/"
                                }
                            ],
                            "faq": null,
                            "extended_people_also_search": null,
                            "timestamp": null,
                            "rectangle": null
                        },
                        {
                            "type": "paid",
                            "rank_group": 1,
                            "rank_absolute": 2,
                            "page": 1,
                            "position": "left",
                            "xpath": "/html[1]/body[1]/div[3]/div[2]/div[1]/div[1]/div[2]/div[2]/ul[1]/li[1]",
                            "title": "IPHONE LG헬로모바일",
                            "domain": "adcr.naver.com",
                            "breadcrumb": "direct.lghellovision.net",
                            "url": "https://adcr.naver.com/adcr?x=TXP4bCFiwDoPWdTqAdXnF////w==kE1WdFcyC+QcsUgeSJZDncZo2LIfkktrQKKZAM8cjOLF2/rN+AQgGr6mp1Vx+9n4OMvWQ/ELrq19BvrhYBZjc0Fm6KhyC9xpp9sKXFm4GuqD4a5y62gElCN610iUpguLIUJpZnDNodHBcViC6VQx8+WCQBhfmuLDKd810sMjQHn7uEuIBsC19baezvGr0us7NoHRC36EX8548F6eefEoEB45OgmhdkqlUeWNPTTJLWIRHTUs54dfBw5S3l/EUFfwM8M0xR3GARcKcxXpBtlMIzNTAO1N8C7XhCe7drYoFdKaqdLGhy/CcU0gVKuYYBHFSOOId56TsbShnLGB9qdDbI4XL8KhKfoB4Fo4T/wO8+k0ol25fADgU4mUZKqjJ0VKb2Ii2b7Dq4JfNXXLkTSBjbFdpngkJInMdiLGBn/3Pcj50/zCVBZS/AwNduD60/n4+ppgasOOzjtrsn4TSUqRQ3B9RZn1sWOCRVzmn4P74p7bTf3U44ncGJnthoe9ws+2H0efYS/MdA8bgAnUAEUwwRuqCYtW59oKaAQtDwHkhT9oViYr+/xiGR35C1w1LPJzPDpcgz4CLcjPGyM5BfAyZvKH5LLjPkFJCTyZTx+bkv9BZmdo1QWdIpxa+LOKY59UUTraPdaWzKa9Xmln2C2HiHLoke1iWTHVavf5erHSkchXW+K5zBRAqe1xMDY7YWcfoDDLnU8NcfIZk3QqbX86aMOw5iR97WopjrLiIDCX5G+PuoyqynegwUxWrTTie62e1N1wfbVgze9nE/WPgHucvqPlBF/U3OVcx97x9+wK6WllgMN2k5XJQ64PcinzpSXJX0Q2t83w5jgPqzmWy/jf3WA==&p=0",
                            "highlighted": null,
                            "extra": {
                                "ad_aclk": null
                            },
                            "description": "0원부터 만나는 아이폰 시리즈, 중고폰+알뜰요금제 조합으로 통신비 절약",
                            "description_rows": null,
                            "links": null,
                            "rectangle": null
                        },
                        {
                            "type": "related_searches",
                            "rank_group": 1,
                            "rank_absolute": 21,
                            "page": 1,
                            "position": "left",
                            "xpath": "/html[1]/body[1]/div[3]/div[2]/div[1]/div[1]/section[6]/div[1]/div[2]",
                            "items": [
                                "iphone 8",
                                "iphone xs",
                                "iphone 12 pro",
                                "iphone 13",
                                "iphone 11"
                            ],
                            "rectangle": null
                        },
                        {
                            "type": "images",
                            "rank_group": 1,
                            "rank_absolute": 2,
                            "page": 1,
                            "position": "left",
                            "xpath": "/html[1]/body[1]/div[2]/div[1]/section[1]/div[1]/div[2]",
                            "title": null,
                            "url": null,
                            "items": [
                                {
                                    "type": "images_element",
                                    "alt": "푸른 꽃",
                                    "url": "https://search.pstatic.net/common/?src=http%3A%2F%2Fblogfiles.naver.net%2FMjAyMDA1MDFfMjEg%2FMDAxNTg4MjU5MzA3NzU0.oruGj9Ze36jipjWSw1eLJ7O_-SJOPuFBKwe_5GEBWd0g.WGZzJPkt4yOYihJ3Icx_tz67I3vo2hTxm9AmU3FTAgMg.JPEG.pulover%2F1588259307059.jpg&type=b280"
                                },
                                {
                                    "type": "images_element",
                                    "alt": "푸른 꽃",
                                    "url": "https://search.pstatic.net/common/?src=http%3A%2F%2Fblogfiles.naver.net%2FMjAyMTAyMjNfMjUz%2FMDAxNjE0MDczNDYxNTY2.Nag8q4WMUSUUSGJBJeglQe7O9yWEs9-PZ07ObTsUnIQg.Xp2DZciilsLH7QTKnG1hqe6pCjkqz2gTOMloSf8z_rkg.JPEG.vincent525%2F20210223%25A3%25DF113614.jpg&type=b280"
                                },
                                {
                                    "type": "images_element",
                                    "alt": "푸른 꽃",
                                    "url": "https://search.pstatic.net/common/?src=http%3A%2F%2Fshopping.phinf.naver.net%2Fmain_2602944%2F26029440051.20210217235346.jpg&type=b280"
                                }
                            ],
                            "rectangle": null
                        },
                        {
                            "type": "video",
                            "rank_group": 1,
                            "rank_absolute": 12,
                            "page": 1,
                            "position": "left",
                            "xpath": "/html[1]/body[1]/div[3]/div[2]/div[1]/div[1]/section[3]/div[1]/div[2]",
                            "items": [
                                {
                                    "type": "video_element",
                                    "source": "Youtube Parker Walbeck",
                                    "title": "iPhone 12 Pro Max Cinematic 4k Video // Worth Upgrading from iPhone 11?",
                                    "timestamp": "2020-11-23 00:00:00 +00:00",
                                    "url": "https://www.youtube.com/watch?v=3bqcFRhCYY0"
                                },
                                {
                                    "type": "video_element",
                                    "source": "Youtube DailyTekk",
                                    "title": "iPhone 12 Dolby Vision HDR Video EXPLAINED!",
                                    "timestamp": "2020-10-30 00:00:00 +00:00",
                                    "url": "https://www.youtube.com/watch?v=fxUmfpnpps8"
                                },
                                {
                                    "type": "video_element",
                                    "source": "Youtube TGS TAMIL GAMING",
                                    "title": "500k Special Surprise Video Thanks For Tgs Family//New Iphone 12 Pro Max Review//Free Fire//Tgs",
                                    "timestamp": "2021-02-03 00:00:00 +00:00",
                                    "url": "https://www.youtube.com/watch?v=LgyxlKO1GfQ"
                                },
                                {
                                    "type": "video_element",
                                    "source": "Youtube Amazing Cooking",
                                    "title": "IPhone 12의 무서운 사과 파이 레시피/ 스톱모션 요리 ＆ Cooking ASMR Funny Video",
                                    "timestamp": "2021-01-20 00:00:00 +00:00",
                                    "url": "https://www.youtube.com/watch?v=ifvuL3Cz67E"
                                }
                            ],
                            "rectangle": null
                        },
                        {
                            "type": "local_pack",
                            "rank_group": 1,
                            "rank_absolute": 11,
                            "page": 1,
                            "position": "left",
                            "xpath": "/html[1]/body[1]/div[3]/div[2]/div[1]/div[1]/div[2]/div[1]/section[1]/div[1]/div[2]/div[4]/ul[1]/li[1]",
                            "title": "A 바비레드 강남본점",
                            "description": "큐브스테이크와 크림파스타가 맛있는 강남역 소개팅 장소",
                            "domain": "map.naver.com",
                            "phone": null,
                            "url": "https://map.naver.com/v5/search/%EC%84%9C%EC%9A%B8%20%EB%A0%88%EC%8A%A4%ED%86%A0%EB%9E%91/place/21607745?c=14140685.630714323%2C4509408.44069344%2C15%2C0%2C0%2C0%2Cdh&placePath=%2Fhome%3Fentry%3Dpll&placeSearchOption=entry%3Dpll%26filterId%3Dr09%26from%3Dnx%26fromNxList%3Dtrue%26sessionid%3Dea%252BEUzbvEqa3UHEh%252FrINAg%253D%253D",
                            "is_paid": false,
                            "rating": null,
                            "cid": "21607745",
                            "rectangle": null
                        },
                        {
                            "type": "local_pack",
                            "rank_group": 2,
                            "rank_absolute": 12,
                            "page": 1,
                            "position": "left",
                            "xpath": "/html[1]/body[1]/div[3]/div[2]/div[1]/div[1]/div[2]/div[1]/section[1]/div[1]/div[2]/div[4]/ul[1]/li[2]",
                            "title": "B 아티초크0125",
                            "description": null,
                            "domain": "map.naver.com",
                            "phone": null,
                            "url": "https://map.naver.com/v5/search/%EC%84%9C%EC%9A%B8%20%EB%A0%88%EC%8A%A4%ED%86%A0%EB%9E%91/place/37402879?c=14142809.873765435%2C4512702.947295135%2C15%2C0%2C0%2C0%2Cdh&placePath=%2Fhome%3Fentry%3Dpll&placeSearchOption=entry%3Dpll%26filterId%3Dr09%26from%3Dnx%26fromNxList%3Dtrue%26sessionid%3Dea%252BEUzbvEqa3UHEh%252FrINAg%253D%253D",
                            "is_paid": false,
                            "rating": null,
                            "cid": "37402879",
                            "rectangle": null
                        },
                        {
                            "type": "map",
                            "rank_group": 1,
                            "rank_absolute": 2,
                            "page": 1,
                            "position": "left",
                            "xpath": "/html[1]/body[1]/div[3]/div[2]/div[1]/div[1]/div[2]/div[3]",
                            "title": "서울특별시",
                            "url": "https://map.naver.com/v5/directions/-/14135169.493910689,4518381.986516114,%EC%84%9C%EC%9A%B8%ED%8A%B9%EB%B3%84%EC%8B%9C,,ADDRESS_POI/-/car",
                            "rectangle": null
                        }
                    ]
                }
            ]
        }
    ]
}
```









 

  cURL   php   Node.js   Python   cSharp